#!/bin/sh

xvgafile="/mnt/mtd/nfsdir/video_xvga"

if [ -f /tmp_run/inited ] ;
then
        return 0
fi
#huxinhua add start sensor reset gpio 0_28
devmem 0x99000060 32 0x00004003
devmem 0x99400008 32 0x1000c000
devmem 0x99400014 32 0x10000000
sleep 1;
devmem 0x99400010 32 0x10000000
sleep 1;
#huxinhua add end

ifconfig eth0 192.168.226.201

#/sbin/insmod /mnt/mtd/nfsdir/bin/driver/ftpwmtmr010.ko

/sbin/insmod /mnt/mtd/nfsdir/bin/driver/cpe-wdt.ko
#/sbin/insmod /mnt/mtd/nfsdir/bin/driver/ftsdc010.ko
/sbin/insmod /mnt/mtd/nfsdir/bin/driver/frammap.ko sys_align=6 ddr0=74
/sbin/insmod /mnt/mtd/nfsdir/bin/driver/videograph.ko
/sbin/insmod /mnt/mtd/nfsdir/bin/driver/dvr_common.ko
/sbin/insmod /mnt/mtd/nfsdir/bin/driver/dvr_enc.ko
/sbin/insmod /mnt/mtd/nfsdir/bin/driver/dvr_disp.ko lcd_cnt=1 dup_disp=0
/sbin/insmod /mnt/mtd/nfsdir/bin/driver/flcd200-common.ko
/sbin/insmod /mnt/mtd/nfsdir/bin/driver/flcd200-pip.ko output_type=0 input_res=11	#out(D1) in(640x360)
/sbin/insmod /mnt/mtd/nfsdir/bin/driver/ftpwmtmr010.ko
/sbin/insmod /mnt/mtd/nfsdir/bin/driver/fisp_common.ko cap_w=1280 cap_h=960
#/sbin/insmod /mnt/mtd/nfsdir/bin/driver/fisp0.ko cfg_name="/mnt/mtd/isp_ov9710.cfg"
/sbin/insmod /mnt/mtd/nfsdir/bin/driver/fisp0.ko cfg_name="/mnt/mtd/isp_mt9m034.cfg"
/sbin/insmod /mnt/mtd/nfsdir/bin/driver/fisp_gm_ae.ko ev_mode=0
/sbin/insmod /mnt/mtd/nfsdir/bin/driver/fisp_gm_awb.ko
#/sbin/insmod /mnt/mtd/nfsdir/bin/driver/fisp_ov9710.ko sensor_w=1280 sensor_h=720 sensor_xclk=24000000
/sbin/insmod /mnt/mtd/nfsdir/bin/driver/fisp_mt9m034.ko sensor_w=1280 sensor_h=960 sensor_xclk=27000000
/sbin/insmod /mnt/mtd/nfsdir/bin/driver/fisp_iris_pwm_v2.ko
/sbin/insmod /mnt/mtd/nfsdir/bin/driver/fcap_common.ko
/sbin/insmod /mnt/mtd/nfsdir/bin/driver/fcap0.ko mode=1
/sbin/insmod /mnt/mtd/nfsdir/bin/driver/fcap1.ko mode=1
#/sbin/insmod /mnt/mtd/nfsdir/bin/driver/fisp_lens_hb038ahr.ko
if [ -f "$xvgafile" ]
then
    /sbin/insmod /mnt/mtd/nfsdir/bin/driver/fcap200_isp.ko src_x=3 src_y=4 src_w=1280 src_h=960
else
    /sbin/insmod /mnt/mtd/nfsdir/bin/driver/fcap200_isp.ko src_x=3 src_y=4 src_w=1280 src_h=720
fi
/sbin/insmod /mnt/mtd/nfsdir/bin/driver/fscaler0.ko
/sbin/insmod /mnt/mtd/nfsdir/bin/driver/favc_common.ko
if [ -f "$xvgafile" ]
then
    /sbin/insmod /mnt/mtd/nfsdir/bin/driver/favc_drv.ko h264_max_width=1280 h264_max_height=960
else
    /sbin/insmod /mnt/mtd/nfsdir/bin/driver/favc_drv.ko h264_max_width=1280 h264_max_height=960
fi
/sbin/insmod /mnt/mtd/nfsdir/bin/driver/fmcp_drv.ko
/sbin/insmod /mnt/mtd/nfsdir/bin/driver/fmpeg4_drv.ko
/sbin/insmod /mnt/mtd/nfsdir/bin/driver/fmjpeg_drv.ko
/sbin/insmod /mnt/mtd/nfsdir/bin/driver/ftdi210.ko

/sbin/insmod /mnt/mtd/nfsdir/bin/driver/snd_ftssp010.ko
/sbin/insmod /mnt/mtd/nfsdir/bin/driver/snd_fi2s_adda300_c0.ko input_mode=0
/sbin/insmod /mnt/mtd/nfsdir/bin/driver/rtc-ftrtc011.ko

#/sbin/insmod /mnt/mtd/nfsdir/bin/driver/ftpwmtmr010.ko
#/sbin/insmod /mnt/mtd/nfsdir/bin/driver/fisp_lens_hb038ahr.ko

/sbin/insmod /mnt/mtd/nfsdir/bin/driver/cryptomemory.ko
#adc 0
/sbin/insmod /mnt/mtd/nfsdir/bin/driver/ftsar_adc010.ko
/sbin/insmod /mnt/mtd/nfsdir/bin/driver/sar_adc_dev0.ko

/sbin/insmod /mnt/mtd/nfsdir/bin/driver/net-pnp.ko

mdev -s
devmem 0x99300030 32 0x78
devmem 0x99300034 32 0x0e060002
devmem 0x99300038 32 0x060e0606
devmem 0x993000a0 32 0x87870187
devmem 0x993000a4 32 0x878f8787

#audio gain
devmem 0x99000094 32 0x000fffff

#panjy added
#devmem 0x99000060 32 0x0
devmem 0x99000060 32 0x00050000
#echo 1 > /proc/isp0/ae/pwr_freq

#޸Ч
devmem 0x92300000 32 0x80053B78

rm -f /etc/resolv.conf
if ! [ -d /etc/ppp ];
then
        mkdir /etc/ppp
fi
echo > /etc/ppp/resolv.conf

if ! [ -L /etc/resolv.conf ];
then
        ln -s /etc/ppp/resolv.conf /etc/resolv.conf
fi

if ! [ -d /mnt/mtd/flash ];
then
    mkdir /mnt/mtd/flash
fi

if ! [ -d /mnt/00 ];
then
	mkdir /mnt/00
fi

if ! [ -d /tmp_run ];
then
	mkdir /tmp_run
fi
echo > /tmp_run/inited

cd /mnt/mtd/nfsdir/bin/
#cp ipcamera /tmp_run/
/mnt/mtd/nfsdir/bin/ipcamera reset
if [ $? -eq 0 ];
then
    /mnt/mtd/nfsdir/bin/ipcamera &
fi
#end

